<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" id="contract">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACTS}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CONTRACTS}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS}})" 
                                                             />
    <div class="ui pointing secondary menu" id="tabs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <a class="item active" data-tab="contract">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CONTRACTS}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></span>
      </a>
      <a class="item" data-tab="properties" th:if="${contract.id} != 0">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROPERTIES}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTIES}}"></span>
      </a>
    </div>
    <div class="ui tab" data-tab="contract" th:insert="contracts/fragments/contract :: new"></div>
    <div class="ui tab" data-tab="properties" th:insert="contracts/fragments/properties :: properties-list" th:if="${contract.id} != 0"></div>
    <div th:replace="common/fragments/modal :: modal(medium,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CONTRACTSPROPERTIES_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CONTRACTS_JS}}"></script>
</body>
</html>